Subject: Re: bug#65740: No fallback to SWH for .guix-channel dependencies

From: Simon Tournier <[email-masked]>
Date: Sat, 09 Sep 2023 12:04:23 +0200

Hi,

On Fri, 08 Sep 2023 at 22:40, Ludovic Courtès <[email-masked]> wrote:

>> This report is about two bugs:
>>
>>  1. transparent fallback to SWH for .guix-channel dependencies
>>
>>  2. pin all channels when running “guix describe”, even the ones from
>>    .guix-channel dependencies.
>
> #1 happens, but only when channels are pinned (returned by ‘guix
> #describe’).
>
> Re #2, I don’t think there’s such a bug, is there?  In the example
> below, ‘guix describe’ shows 4 channels (including dependencies), not 2:

My bad!

I had probably not done what I always recommend: “guix describe“.

Sorry for the noise.

Cheers,
simon